#ifndef VESA_H_
#define VESA_H_

namespace driver {

	/*
	 * VESAƒhƒ‰ƒCƒo
	 */
	class Vesa : public IVideo {
	protected:
		color_16 *vram_;
		int xSize_, ySize_;
	public:
		void init(color_16 *vram, int xSize, int ySize);
		void WritePoint(int x, int y, color_16 color);
		color_16 GetPoint(int x, int y);
	};
	
}

#endif /*VESA_H_*/
